=== debian/changelog ===
ros-melodic-joint-trajectory-controller (0.17.1-1stretch) stretch; urgency=high

  * Fix missing virtual destructor
  * Contributors: Tyler Weaver

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 05 Dec 2020 00:00:00 -0000

ros-melodic-joint-trajectory-controller (0.17.0-1stretch) stretch; urgency=high

  * Add extension point in update function to allow derived classes to perform e.g. additional checks.
  * The stop- and hold-trajectory creation is moved into separate classes,
    to allow derived classes to re-use the stop- and hold-trajectory
    creation code.
  * The old desired state and the old time data are now also stored,
    to allow derived classes to perfrom more comprehensive checks, etc.
  * Contributors: Pilz GmbH and Co. KG, Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 11 May 2020 23:00:00 -0000

ros-melodic-joint-trajectory-controller (0.16.1-1stretch) stretch; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 26 Apr 2020 23:00:00 -0000

ros-melodic-joint-trajectory-controller (0.16.0-1stretch) stretch; urgency=high

  * Bump CMake version to prevent CMP0048
  * Add #pragma once to new joint_trajectory_controller test
  * Replace header guard with #pragma once
  * Modernize xacro
    - Remove '--inorder'
    - Use 'xacro' over 'xacro.py'
  * Add code_coverage target to CMakeLists.txt
  * Contributors: Bence Magyar, Immanuel Martini, Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 15 Apr 2020 23:00:00 -0000

ros-melodic-joint-trajectory-controller (0.15.1-1stretch) stretch; urgency=high

  * Fix instabilities in JTC unittests
  * Add test_common.h
  * Re-enable tolerance tests
  * Make initialization of variables consistent
  * Let getState() return by value
  * Use nullptr (#447 <https://github.com/ros-controls/ros_controllers/issues/447>)
  * Comment out tolerance check tests until #48 <https://github.com/ros-controls/ros_controllers/issues/48> is solved.
  * Execution does not stop when goal gets aborted
  * Fix how we assert that controller is running
  * Introduce EPS for general double comparison
  * Make stopramp tests more stable
  * add missing pluginlib deps. (#451 <https://github.com/ros-controls/ros_controllers/issues/451>)
  * Print error messages for all exceptions
  * Contributors: Bence Magyar, Ian Frosst, Immanuel Martini, Matt Reynolds, Sean Yen

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 09 Mar 2020 00:00:00 -0000

ros-melodic-joint-trajectory-controller (0.15.0-1stretch) stretch; urgency=high

  * Default all controller builds to C++14
  * Use range-based for loops wherever possible
  * boost::array -> std::array
  * mutex to C++11, boost::scoped_lock -> std::lock_guard
  * boost::scoped_ptr -> std::unique_ptr
  * boost::shared_ptr -> std::shared_ptr
  * fix install destination for libraries (#403 <https://github.com/ros-controls/ros_controllers/issues/403>)
  * Contributors: Bence Magyar, Gennaro Raiola, James Xu

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 26 Mar 2019 00:00:00 -0000

ros-melodic-joint-trajectory-controller (0.14.3-1stretch) stretch; urgency=high

  * use operators instead of aliases
  * joint_trajectory_controller: fix minor typo in class doc.
  * correctly parse joint trajectory options
  * Remove deprecated parameter hold_trajectory_duration (#386 <https://github.com/ros-controls/ros_controllers/issues/386>)
  * dont print warning about dropped first point, if it is expected behaviour
  * Contributors: AndyZe, G.A. vd. Hoorn, Gennaro Raiola, James Xu, Joachim Schleicher, Karsten Knese

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 09 Feb 2019 00:00:00 -0000

ros-melodic-joint-trajectory-controller (0.14.2-1stretch) stretch; urgency=high

  * Report errors in updateTrajectoryCommand back though action result error_string
  * Remove redundant warning messages
  * Return error string when failing to initialize trajectory from message
  * Changes to allow inheritance from JointTrajectoryController.
  * Update maintainers
  * Contributors: Alexander Gutenkunst, Miguel Prada, Mathias Lüdtke, Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 22 Oct 2018 23:00:00 -0000

ros-melodic-joint-trajectory-controller (0.14.1-1stretch) stretch; urgency=high

  * joint_trajectory_controller tests stability improved
  * Use a copy of rt_active_goal in update()
  * Contributors: Kei Okada, Ryosuke Tajima

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 25 Jun 2018 23:00:00 -0000

ros-melodic-joint-trajectory-controller (0.14.0-1stretch) stretch; urgency=high

  * Make the compiler happy in the test.
  * migrate to new pluginlib headers
  * TrajectoryController: Use desired state to calculate hold trajectory (#297 <https://github.com/ros-controls/ros_controllers/issues/297>)
  * Add velocity feedforward term to velocity HardwareInterfaceAdapter (#227 <https://github.com/ros-controls/ros_controllers/issues/227>)
  * Contributors: Chris Lalancette, Mathias Lüdtke, Miguel Prada, agutenkunst

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Thu, 26 Apr 2018 23:00:00 -0000

ros-melodic-joint-trajectory-controller (0.13.2-1stretch) stretch; urgency=high

  * Changend the implementation of joint_trajectory_controller to enable the forwarding of the acceleration values from the trajectory
  * Contributors: Bence Magyar, Mart Moerdijk

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sat, 23 Dec 2017 00:00:00 -0000

ros-melodic-joint-trajectory-controller (0.13.1-1stretch) stretch; urgency=high

  * Linted pos_vel joint_trajectory_controllers
  * Added posvel joint_trajectory_controller
    Added a simple posvel joint_trajectory_controller that forwards
    the desired state at the current point in time of the trajectory
    to the joint.
  * Add support for an joint interfaces are not inherited from JointHandle.

